# typed: true
require 'sorbet-runtime'

module Moneylovercli
  module Api
    class Category < MoneyLover
      sig { params(wallet_id: String).returns(HTTParty::Response) }

      def list(wallet_id:)
        self.class.post('/category/list', body: { walletId: wallet_id },
                                          headers: { authorization: "AuthJWT #{@token}" })
      end
    end
  end
end
